### Class

# AppStreamCompose Image

since: 1.0

#### Description

    final class AppStreamCompose.Image : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 1.0

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### asc_image_new

Creates a new `AscImage`.

since: 1.0

###### asc_image_new_from_data

Creates a new `AscImage` from data in memory.

since: 1.0

###### asc_image_new_from_file

Creates a new `AscImage` from a file on the filesystem.

since: 1.0

#### Functions

###### asc_image_supported_format_names

Get a set of image format names we can currently read (via GdkPixbuf).

since: 1.0

#### Instance methods

###### asc_image_get_height

Gets the image height.

since: 1.0

###### asc_image_get_pixbuf

Gets the image pixbuf if set.

since: 1.0

###### asc_image_get_width

Gets the image width.

since: 1.0

###### asc_image_load_filename

Reads an image from a file.

since: 1.0

###### asc_image_save_filename

Saves the image to a file.

since: 1.0

###### asc_image_save_pixbuf

Resamples a pixbuf to a specific size.

since: 1.0

###### asc_image_scale

Scale the image to the given size.

since: 1.0

###### asc_image_scale_to_fit

Scale the image to fir in a square with the given edge length, and keep its aspect ratio.

since: 1.0

###### asc_image_scale_to_height

Scale the image to the given height, preserving its aspect ratio.

since: 1.0

###### asc_image_scale_to_width

Scale the image to the given width, preserving its aspect ratio.

since: 1.0

###### asc_image_set_pixbuf

Sets the image pixbuf.

since: 1.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct AppStreamComposeImageClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.